LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Enumerations
FrameAction.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::frame
| Desktop environment framework interfaces.

## Enumerations
enum | FrameAction { COMPONENT_ATTACHED , COMPONENT_DETACHING , COMPONENT_REATTACHED , FRAME_ACTIVATED , FRAME_DEACTIVATING , CONTEXT_CHANGED , FRAME_UI_ACTIVATED , FRAME_UI_DEACTIVATING }
| these are the events which can happen to the components in frames of the desktop More...